HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a device inventory list

(Deprecated) This API endpoint retrieves a list of network devices that are present in inventory, such as access points, switches, and gateways. The API includes devices yet to be onboarded, as well as those already onboarded and currently being monitored by the system. Each device in the returned list includes details like serial number, device name, part number, deployment, device function, scope ID, device group ID, whether the device is provisioned, etc. The query parameters allow you to narrow down the results to devices that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction; ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.
| Field | Operators |
| --------- | -------- |
| siteId | eq and in |
| model | eq and in |
| deviceFunction | eq and in |
| deviceName | eq and in |
| serialNumber | eq and in |
| deviceType | eq and in |
| isProvisioned | eq and in |

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Comma-separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.
Supported fields are siteId, model, siteName, serialNumber, macAddress, deviceType, ipv4, deviceGroupName, deviceFunction and deviceName.

string
enum

Specifies the site assignment status of the devices. Can be either "ASSIGNED" or "UNASSIGNED".

Allowed:
int32
≤ 1000
Defaults to 20

Denotes the maximum number of devices returned in the response. Maximum value is 1000.

string

Specifies the pagination cursor for the next page of resources.
The minimum value is 1.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json